Ruby - Bug #4129

multi-tk 0 require 00000000
12/07/2010 09:14 PM - metanest (Makoto Kishimoto)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 1.9.3dev (2010-12-05 trunk 30086) |Backport:
[x86_64-freebsd8.2]

Description

=begin
0ooooo

$ ruby19 -rmulti-tk -e "
/usr/local/lib/ruby/1.9.1/multi-tk.rb: [BUG] Segmentation fault
ruby 1.9.3dev (2010-12-05 trunk 30086) [x86_64-freebsd8.2]

-- Control frame information
€:5692 p:0000 s:28446 b:28446 1:008445 d:008445 METHOD

¢:5691 p:---- 5:28438 b:28438 1:008437 d:008437 FINISH

€:5690 p:0021 s:28436 b:28436 1:008435 d:008435 METHOD /ust/local/lib/ruby/1.9.1/multi-tk.rb:76
€:5689 p:---- 5:28428 b:28428 1:008427 d:008427 FINISH

€:5688 p:0021 s:28426 b:28426 1:008425 d:008425 METHOD /usr/local/lib/ruby/1.9.1/multi-tk.rb:76
€:5687 p:---- 5:28418 b:28418 1:008417 d:008417 FINISH

€:5686 p:0021 s:28416 b:28416 1:008415 d:008415 METHOD /usr/local/lib/ruby/1.9.1/multi-tk.rb:76
€:5685 p:---- 5:28408 b:28408 1:008407 d:008407 FINISH

(snip)

¢:0019 p:---- s:0078 b:0078 1:000077 d:000077 FINISH

¢:0018 p:0021 s:0076 b:0076 1:000075 d:000075 METHOD /usr/local/lib/ruby/1.9.1/multi-tk.rb:76
€:0017 p:---- s:0068 b:0068 1:000067 d:000067 FINISH

€:0016 p:0021 s:0066 b:0066 1:000065 d:000065 METHOD /ust/local/lib/ruby/1.9.1/multi-tk.rb:76
€:0015 p:---- s:0058 b:0058 1:000057 d:000057 FINISH

€:0014 p:0021 s:0056 b:0056 1:000055 d:000055 METHQOD /ustr/local/lib/ruby/1.9.1/multi-tk.rb:76
€:0013 p:---- 5:0048 b:0048 1:000047 d:000047 FINISH

€:0012 p:0021 s:0046 b:0046 1:000045 d:000045 METHOD /ustr/local/lib/ruby/1.9.1/multi-tk.rb:76
¢:0011 p:---- s:0038 b:0038 1:000037 d:000037 FINISH

¢:0010 p:0021 s:0036 b:0036 1:000035 d:000035 METHOD /usr/local/lib/ruby/1.9.1/multi-tk.rb:76
€:0009 p:---- s:0028 b:0028 1:000027 d:000027 FINISH

€:0008 p:---- s:0026 b:0026 1:000025 d:000025 CFUNC :dirname

€:0007 p:0051 s:0022 b:0022 1:000021 d:000021 CLASS /usr/local/lib/ruby/1.9.1/multi-tk.rb:142
€:0006 p:0196 s:0017 b:0017 1:000016 d:000016 TOP  /usr/local/lib/ruby/1.9.1/multi-tk.rb:120
€:0005 p:---- s:0015 b:0015 1:000014 d:000014 FINISH

€:0004 p:---- s:0013 b:0013 1:000012 d:000012 CFUNC :require

€:0003 p:0013 s:0009 b:0009 1:000008 d:000008 METHOD internal:lib/rubygems/custom_require:29
€:0002 p:---- 5:0004 b:0004 1:000003 d:000003 FINISH

€:0001 p:0000 s:0002 b:0002 I:001658 d:001658 TOP

-- Ruby level backtrace information
internal:lib/rubygems/custom_require:29:in require' <internal:lib/rubygems/custom_require>:29:in require’
/ust/local/lib/ruby/1.9.1/multi-tk.rb:120:in <top (required)>' /usr/local/lib/ruby/1.9.1/multi-tk.rb:142:in class:MultiTklp'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:142:in dirname' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' (snip) /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing'
/usr/local/lib/ruby/1.9.1/multi-tk.rb:76:in method_missing' /usr/local/lib/ruby/1.9.1/multi-tk.rb:0:in method_missing'
-- Other runtime information

e | oaded script: -e
¢ Loaded features:

0 enumerator.so

1 /usr/local/lib/ruby/1.9.1/x86_64-freebsd8.2/enc/encdb.so

2 /usr/local/lib/ruby/1.9.1/x86_64-freebsd8.2/enc/trans/transdb.so
3 /usr/local/lib/ruby/1.9.1/x86_64-freebsd8.2/tcltklib.so

4 /usr/local/lib/ruby/1.9.1/x86_64-freebsd8.2/tkutil.so

5 /usr/local/lib/ruby/1.9.1/thread.rb

INOTE]

You may have encountered a bug in the Ruby interpreter or extension libraries.

Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

Abort trap: 6 (core dumped)
=end

History

#1 - 12/11/2010 06:07 AM - nagai (Hidetoshi Nagai)
- Status changed from Open to Closed
- % Done changed from 0 to 100

=begin

This issue was solved with changeset r30169.
Makoto, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

=end
